# Uses of Enum
org.jboss.logmanager.handlers.SyslogHandler.Protocol

Packages that use SyslogHandler.Protocol
Package
Description
org.jboss.logmanager.handlers

## Uses of SyslogHandler.Protocol in org.jboss.logmanager.handlers

Methods in org.jboss.logmanager.handlers that return SyslogHandler.Protocol
Modifier and Type
Method
Description
`SyslogHandler.Protocol`
SyslogHandler.`getProtocol()`
The protocol used to connect to the syslog server
`static SyslogHandler.Protocol`
SyslogHandler.Protocol.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SyslogHandler.Protocol[]`
SyslogHandler.Protocol.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.jboss.logmanager.handlers with parameters of type SyslogHandler.Protocol
Modifier and Type
Method
Description
`void`
SyslogHandler.`setProtocol(SyslogHandler.Protocol type)`
Sets the protocol used to connect to the syslog server
Constructors in org.jboss.logmanager.handlers with parameters of type SyslogHandler.Protocol
Modifier
Constructor
Description
``
`SyslogHandler(String serverHostname, int port, SyslogHandler.Facility facility, SyslogHandler.SyslogType syslogType, SyslogHandler.Protocol protocol, String hostname)`
Creates a new syslog handler that sends the messages to the server represented by the `serverAddress` parameter on the port represented by the `port` parameter.
``
`SyslogHandler(InetAddress serverAddress, int port, SyslogHandler.Facility facility, SyslogHandler.SyslogType syslogType, SyslogHandler.Protocol protocol, String hostname)`
Creates a new syslog handler that sends the messages to the server represented by the `serverAddress` parameter on the port represented by the `port` parameter.